Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Deprecated

Deprecated APIs

Deprecated

Register account

put
/issuers/{issuerId}/accounts/{accountId}

Please check with Thales integration team before using this API request. This request is used by the issuer backend to register an account.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

accountIdstring · min: 1 · max: 64Required

Unique identifier of the account.

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body

The following object represents the account

consumerIdstring · min: 1 · max: 64Required

Unique identifier of the end user.

Pattern: [A-Za-z0-9_-]{1,64}
accountProductIdstring · min: 1 · max: 64Optional

RFU - Unique identifier of the type of account

Pattern: [A-Za-z0-9_-]{1,64}
statestring · enumRequired

the state of the account

Possible values:
Responses
put
/issuers/{issuerId}/accounts/{accountId}

No content

Deprecated

Delete

post
/issuers/{issuerId}/accounts/{accountId}/operations:delete

Please check with Thales integration team before using this API request. This request is used by the core banking system to delete an account.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

accountIdstring · min: 1 · max: 64Required

Unique identifier of the account.

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Body
reasonstringOptional

The reason why the action is performed.

This a free text field in case the Issuer wants to send details, that will be returned in the operations list.

Example: customer was contacted on June 28Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOptional

The reason code why the action is performed.

If not provided, default reason code is ISSUER_DECISION.

Possible values:
Responses
post
/issuers/{issuerId}/accounts/{accountId}/operations:delete

Last updated

Was this helpful?